Bug 1234998 - [abrt] cinnamon-screensaver: g_type_check_instance_cast(): cinnamon-screensaver killed by SIGSEGV
Summary: [abrt] cinnamon-screensaver: g_type_check_instance_cast(): cinnamon-screensav...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: cinnamon-screensaver
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:5b731fe30fe4a1eeeecba170201...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-23 17:40 UTC by Mike Simms
Modified: 2015-09-12 03:03 UTC (History)
8 users (show)

Fixed In Version: 2.6.4-4.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-26 04:32:31 UTC


Attachments (Terms of Use)
File: backtrace (32.61 KB, text/plain)
2015-06-23 17:40 UTC, Mike Simms
no flags Details
File: cgroup (190 bytes, text/plain)
2015-06-23 17:40 UTC, Mike Simms
no flags Details
File: core_backtrace (13.30 KB, text/plain)
2015-06-23 17:40 UTC, Mike Simms
no flags Details
File: dso_list (10.16 KB, text/plain)
2015-06-23 17:40 UTC, Mike Simms
no flags Details
File: environ (1.41 KB, text/plain)
2015-06-23 17:40 UTC, Mike Simms
no flags Details
File: limits (1.29 KB, text/plain)
2015-06-23 17:40 UTC, Mike Simms
no flags Details
File: maps (50.17 KB, text/plain)
2015-06-23 17:40 UTC, Mike Simms
no flags Details
File: mountinfo (3.27 KB, text/plain)
2015-06-23 17:40 UTC, Mike Simms
no flags Details
File: namespaces (85 bytes, text/plain)
2015-06-23 17:40 UTC, Mike Simms
no flags Details
File: open_fds (1.03 KB, text/plain)
2015-06-23 17:40 UTC, Mike Simms
no flags Details
File: proc_pid_status (1016 bytes, text/plain)
2015-06-23 17:40 UTC, Mike Simms
no flags Details
Data dumps for crashed cinnamon-screensaver-2.6.4-3.fc23 (2.79 MB, application/x-gzip)
2015-08-01 18:56 UTC, Mike Simms
no flags Details
backtrace generated for build 2.6.4-3.fc23 (2.79 MB, application/x-gzip)
2015-08-01 21:15 UTC, Mike Simms
no flags Details
Backtrace using cinnamon-screensaver-debuginfo-2.6.4-3.fc23.x86_64 (8.99 KB, text/plain)
2015-08-02 07:06 UTC, Mike Simms
no flags Details

Description Mike Simms 2015-06-23 17:40:40 UTC
Description of problem:
woke screen from screensaver while waiting for yumex-dnf to process updates check

Version-Release number of selected component:
cinnamon-screensaver-2.6.3-2.fc23

Additional info:
reporter:       libreport-2.6.0
backtrace_rating: 4
cmdline:        cinnamon-screensaver
crash_function: g_type_check_instance_cast
executable:     /usr/bin/cinnamon-screensaver
global_pid:     1769
kernel:         4.1.0-0.rc8.git0.2.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance_cast at gtype.c:4060
 #1 gs_window_hide_screensaver at gs-window-x11.c:1188
 #2 screensaver_command_finish at gs-window-x11.c:1206
 #3 gs_window_finalize at gs-window-x11.c:2580
 #5 gs_manager_destroy_windows at gs-manager.c:1072
 #6 gs_manager_deactivate at gs-manager.c:1256
 #7 gs_manager_set_active at gs-manager.c:1300
 #8 listener_active_changed_cb at gs-monitor.c:247
 #9 gs_marshal_BOOLEAN__BOOLEAN at gs-marshal.c:161
 #14 gs_listener_set_active at gs-listener-dbus.c:261

Comment 1 Mike Simms 2015-06-23 17:40:44 UTC
Created attachment 1042452 [details]
File: backtrace

Comment 2 Mike Simms 2015-06-23 17:40:45 UTC
Created attachment 1042453 [details]
File: cgroup

Comment 3 Mike Simms 2015-06-23 17:40:47 UTC
Created attachment 1042454 [details]
File: core_backtrace

Comment 4 Mike Simms 2015-06-23 17:40:48 UTC
Created attachment 1042455 [details]
File: dso_list

Comment 5 Mike Simms 2015-06-23 17:40:49 UTC
Created attachment 1042456 [details]
File: environ

Comment 6 Mike Simms 2015-06-23 17:40:50 UTC
Created attachment 1042457 [details]
File: limits

Comment 7 Mike Simms 2015-06-23 17:40:53 UTC
Created attachment 1042459 [details]
File: maps

Comment 8 Mike Simms 2015-06-23 17:40:54 UTC
Created attachment 1042460 [details]
File: mountinfo

Comment 9 Mike Simms 2015-06-23 17:40:55 UTC
Created attachment 1042461 [details]
File: namespaces

Comment 10 Mike Simms 2015-06-23 17:40:56 UTC
Created attachment 1042462 [details]
File: open_fds

Comment 11 Mike Simms 2015-06-23 17:40:57 UTC
Created attachment 1042463 [details]
File: proc_pid_status

Comment 12 Jan Kurik 2015-07-15 13:55:25 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 13 satellitgo 2015-07-21 01:16:48 UTC
Another user experienced a similar problem:

screensaver failed got black screen with date and time

reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        cinnamon-screensaver
crash_function: g_type_check_instance_cast
executable:     /usr/bin/cinnamon-screensaver
global_pid:     2189
kernel:         4.2.0-0.rc2.git2.1.fc23.x86_64
package:        cinnamon-screensaver-2.6.4-2.fc23
reason:         cinnamon-screensaver killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 leigh scott 2015-08-01 13:50:17 UTC
Another user experienced a similar problem:

logging in after screen had locked

reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        cinnamon-screensaver
crash_function: g_type_check_instance_cast
executable:     /usr/bin/cinnamon-screensaver
global_pid:     2367
kernel:         4.2.0-0.rc2.git1.1.fc23.x86_64
package:        cinnamon-screensaver-2.6.4-2.fc23
reason:         cinnamon-screensaver killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 leigh scott 2015-08-01 14:52:19 UTC
Does this build fix the issue?

https://koji.fedoraproject.org/koji/buildinfo?buildID=674822

Comment 16 Mike Simms 2015-08-01 15:25:42 UTC
I will try as and when I can over the weekend and let you know asap.

Cheers

Comment 17 Mike Simms 2015-08-01 18:56:31 UTC
Created attachment 1058363 [details]
Data dumps for crashed cinnamon-screensaver-2.6.4-3.fc23

The answer is no, the problem is still present unfortunately. Also the backtrace was unusable so reporting disabled. I've compressed the files so hopefully you can still find something of use.

Comment 18 Wolfgang Ulbrich 2015-08-01 19:32:36 UTC
(In reply to Mike Simms from comment #17)
> Created attachment 1058363 [details]
> Data dumps for crashed cinnamon-screensaver-2.6.4-3.fc23
> 
> The answer is no, the problem is still present unfortunately. Also the
> backtrace was unusable so reporting disabled. I've compressed the files so
> hopefully you can still find something of use.

Mike,
I noticed that creating a backtrace fails because of missing debuginfo files.
1) go to /var/spool/abrt/<your-bug>
2) check the files component and cmdline if you are in right directory
3) run 'abrt-action-analyze-ccpp-local'
4) check backtrace for missing debuginfo files
ie.
0x410e7d30  0x410f05e3  Yes (*)     /lib/libudev.so.1
(*): Shared library is missing debugging information.
But ignore /lib/libudev.so.1, this is always marked for some reasons, and part of systemd :)
5) install the missing debuginfos files
6) run abrt-action-analyze-ccpp-local again

Comment 19 Mike Simms 2015-08-01 21:15:11 UTC
Created attachment 1058401 [details]
backtrace generated for build 2.6.4-3.fc23

abrt-action-analyze-ccpp-local
Analyzing coredump 'coredump'
Coredump references 98 debuginfo files, 13 of them are not installed
Initializing package manager
Setting up repositories
Looking for needed packages in repositories
Can't find packages for 13 debuginfo files
Removing /var/tmp/abrt-tmp-debuginfo-2015-08-01-22:08:56.2253
Missing debuginfo file: /usr/lib/debug/.build-id/41/b1a2e3539d4603a8257e1510a0bffd0c78a4a6.debug
Missing debuginfo file: /usr/lib/debug/.build-id/01/1e3526c1471361709add5526c7fd22aac134ac.debug
Missing debuginfo file: /usr/lib/debug/.build-id/35/a13284bd779bf4f5396785929e8f20be6f4efa.debug
Missing debuginfo file: /usr/lib/debug/.build-id/0f/cb856222d1d4f749a116c0804f7a93ea5a505e.debug
Missing debuginfo file: /usr/lib/debug/.build-id/15/24db4ed0d136a4386737b073ff50557090381c.debug
Missing debuginfo file: /usr/lib/debug/.build-id/50/3221242bc64a385af69babaeb68a6cf4f34c1c.debug
Missing debuginfo file: /usr/lib/debug/.build-id/11/41cebfb95246be8c97dbbdfcf3b5cdbac560bc.debug
Missing debuginfo file: /usr/lib/debug/.build-id/f3/037200f9642b1a02b78ee75ffb103d9f6cd16c.debug
Missing debuginfo file: /usr/lib/debug/.build-id/66/847000a532a2c3a86c38c24ce8b659bafe2c7c.debug
Missing debuginfo file: /usr/lib/debug/.build-id/22/8d031bea17d9a682df73de0c4e6b1ce7ddc4ca.debug
Missing debuginfo file: /usr/lib/debug/.build-id/16/bd8b35b0eadf498888c19a4ceddee621d19329.debug
Missing debuginfo file: /usr/lib/debug/.build-id/d9/b22e922447f948b51bafbf54f19ddb7c67fe32.debug
Missing debuginfo file: /usr/lib/debug/.build-id/21/6df3ee4b0b956aff3cd50f242b30229d8298d5.debug
Generating backtrace
Backtrace is generated and saved, 9253 bytes
Looking for similar problems in bugzilla
[root@localhost ccpp-2015-08-01-19:36:00-1935]#

Comment 20 Wolfgang Ulbrich 2015-08-01 21:42:57 UTC
from file backtrace file

warning: the debug information found in "/var/cache/abrt-di/usr/lib/debug//usr/bin/cinnamon-screensaver.debug" does not match "/usr/bin/cinnamon-screensaver" (CRC mismatch).

Means cinnamon-screensaver and cinnamon-screensaver-debuginfo doesn't have the same version.
Update cinnamon-screensaver-debuginfo to right version and run 'abrt-action-analyze-ccpp-local' again please, than backtrace file should looks better.
Please attach only the file backtrace, that's enough.
Looks like dnf don't update debuginfo files.

Comment 21 Mike Simms 2015-08-02 07:06:28 UTC
Created attachment 1058447 [details]
Backtrace using cinnamon-screensaver-debuginfo-2.6.4-3.fc23.x86_64

It's still producing the same output after updating

Comment 22 Wolfgang Ulbrich 2015-08-02 07:31:33 UTC
Ok, the backtrace is really unusable.
But in general this is the way to create a usable backtrace.
It really help us to take a look first in the backtrace itself if debuginfo packages are missing before sending with abrt.
I noticed for myself in several abrt alarms that 'dnf' has a prob to find the debuginfo packages.

Comment 23 Wolfgang Ulbrich 2015-08-02 07:33:14 UTC
PS: delete the folder and wait for a new abrt alarm, maybe we have more luck than.

Comment 24 Mike Simms 2015-08-03 10:06:33 UTC
I can't get this to reproduce any longer. So hopefully it is fixed after all. It only happened once after updating the screensaver rpms and restarting.

I've been trying to trigger it with various different applications running while leaving the machine to go idle and activate the screensaver after 5 mins.

Comment 25 Fedora Update System 2015-08-24 14:32:24 UTC
cinnamon-screensaver-2.6.4-4.fc21 has been submitted as an update to Fedora 21. https://bugzilla.redhat.com/show_bug.cgi?id=1234998

Comment 26 Fedora Update System 2015-08-24 14:32:48 UTC
cinnamon-screensaver-2.6.4-4.fc22 has been submitted as an update to Fedora 22. https://bugzilla.redhat.com/show_bug.cgi?id=1234998

Comment 27 Fedora Update System 2015-08-24 14:32:58 UTC
cinnamon-screensaver-2.6.4-4.fc23 has been submitted as an update to Fedora 23. https://bugzilla.redhat.com/show_bug.cgi?id=1234998

Comment 28 Mike Simms 2015-08-24 20:23:03 UTC
resolved by cinnamon-screensaver-2.6.4-4.fc23. Thanks Leigh

Comment 29 Fedora Update System 2015-08-24 21:54:21 UTC
cinnamon-screensaver-2.6.4-4.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update cinnamon-screensaver'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14107

Comment 30 Fedora Update System 2015-08-24 21:57:13 UTC
cinnamon-screensaver-2.6.4-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update cinnamon-screensaver'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14108

Comment 31 Fedora Update System 2015-08-24 22:22:07 UTC
cinnamon-screensaver-2.6.4-4.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update cinnamon-screensaver'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14106

Comment 32 Fedora Update System 2015-08-26 04:32:29 UTC
cinnamon-screensaver-2.6.4-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 33 Fedora Update System 2015-09-06 04:50:12 UTC
cinnamon-screensaver-2.6.4-4.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 34 Fedora Update System 2015-09-06 06:20:41 UTC
cinnamon-screensaver-2.6.4-4.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.